#include<bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cerr.tie(0);
	int n;
	cin >> n;
	deque<int> brojevi;
	deque<int> a, b;
	for(int i = 1; i <= 2*n; i++) brojevi.push_back(i);
	if(n % 2 == 0){
		for(int i = 0; i < (n/2)-1; i++){
			a.push_back(brojevi.back());
			brojevi.pop_back();
			a.push_back(brojevi.front());
			brojevi.pop_front();
		}
		a.push_back(brojevi.back());
		brojevi.pop_back();
		for(int i = 0; i < (n/2)-1; i++){
			b.push_back(brojevi.back());
			brojevi.pop_back();
			b.push_back(brojevi.front());
			brojevi.pop_front();
		}
		b.push_back(brojevi.back());
		brojevi.pop_back();
		if(a.back() < b.back()){
			a.push_back(brojevi.back());
			b.push_back(brojevi.front());
		}
		else {
			a.push_back(brojevi.front());
			b.push_back(brojevi.back());
		}
	}
	else {
		for(int i = 0; i < (n/2); i++){
			a.push_back(brojevi.back());
			brojevi.pop_back();
			a.push_back(brojevi.front());
			brojevi.pop_front();
		}
		a.push_back(brojevi.back());
		brojevi.pop_back();
		for(int i = 0; i < (n/2); i++){
			b.push_back(brojevi.back());
			brojevi.pop_back();
			b.push_back(brojevi.front());
			brojevi.pop_front();
		}
		b.push_back(brojevi.back());
		brojevi.pop_back();
	}
	
	while(!a.empty()){
		cout << a.front() << " ";
		a.pop_front();
	}
	cout << "\n";
	while(!b.empty()){
		cout << b.front() << " ";
		b.pop_front();
	}
	return 0;
}